isBlockhashValid
POST
Returns whether a blockhash is still valid or not
param[0]
blockhashstringrequired
The blockhash of the block, as base-58 encoded stringparam[1]
configurationObjectobjectrequired
commitmentstring
The commitment describes how finalized a block is at that point in time.- finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
- confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
- processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
minContextSlotstring
The minimum slot that the request can be evaluated at.Responses
idinteger
The request IDjsonrpcstring
The JSON-RPC versionAn object containing metadata about the current state of the Solana network at the time of the request.
apiVersionstring
The API version used for the requestslotinteger
The slot number at which the request was evaluatedvalueboolean
Whether the blockhash is still valid or notcodestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "isBlockhashValid","params": ["J7rBdM6AecPDEZp8aPq5iPSNKVkU5Q76F3oAV4eW5wsW",{"commitment": "processed"}]}'